from rocolib.api.components.Component import newComponent
from rocolib.api.Function import Function

c = newComponent("Wheel")

c.addSubcomponent("drive", "MountedServo", inherit=True, prefix=None)
c.addSubcomponent("tire", "Tire", inherit="radius tire_thickness".split(), prefix=None)


c.inheritAllInterfaces("drive", prefix=None)
c.addConnection(("drive", "horn"),
                ("tire", "face"), copyDecorations=True)

c.toLibrary(True)
