from rocolib.api.components.Component import newComponent


c = newComponent("Paperbot")
c.addParameter("width", 60, paramType="length", minValue=60)
c.addParameter("length", 80, paramType="length", minValue=77)
c.addParameter("height", 25, paramType="length", minValue=20)

c.addSubcomponent("paperbot", "ESPSeg", inherit="length width height battery tire_thickness".split(), prefix=None)

c.toLibrary(True)
