from rocolib.api.components import DecorationComponent
from rocolib.api.composables.graph.Face import Rectangle

class Cutout(DecorationComponent):
    def define(self):
        self.addParameter("dx", 10, paramType="length")
        self.addParameter("dy", 20, paramType="length")
        self.addParameter("d", paramType="length", overrides={
            "dx": 'c.p.d',
            "dy": 'c.p.d',
        })

    def assemble(self):
        self.addFace(Rectangle("r0", self.p.dx, self.p.dy), prefix="r0")

if __name__ == "__main__":
    Cutout.test()
